function init()
    light = FindLight("light")
    intensity_base = 0.5
    intensity_step = 0.6

    curveBig = 1.0

    intensity = intensity_base
end

function tick(dt)
    curveBig = (math.sin(GetTime() * 1.0) + 0.7) / 2
    curveSmall = (math.sin(GetTime() * 30.0) + 1) / 2

    intensity = intensity_base + curveBig * (intensity_step * curveSmall)

    SetLightIntensity(light, intensity)
end
